import request from '@/utils/request'

// 查询云广播设备列表
export function listBroadcast(query) {
  return request({
    url: '/center-monitor/broadcast/list',
    method: 'get',
    params: query
  })
}
// 查询云广播设备列表
export function listBroadcastAll(query) {
  return request({
    url: '/center-monitor/broadcast/listBroadcastAll',
    method: 'get',
    params: query
  })
}
// 查询部门列表
export function selectDeptBroadcastData(query) {
  return request({
    url: '/center-monitor/broadcast/selectDeptBroadcastData',
    method: 'get',
    params: query
  })
}

// 查询云广播设备详细
export function getBroadcast(id) {
  return request({
    url: '/center-monitor/broadcast/' + id,
    method: 'get'
  })
}

// 新增云广播设备
export function addBroadcast(data) {
  return request({
    url: '/center-monitor/broadcast',
    method: 'post',
    data: data
  })
}

// 修改云广播设备
export function updateBroadcast(data) {
  return request({
    url: '/center-monitor/broadcast',
    method: 'put',
    data: data
  })
}

// 删除云广播设备
export function delBroadcast(id) {
  return request({
    url: '/center-monitor/broadcast/' + id,
    method: 'delete'
  })
}
